#ifndef GESTURE_RECOGNIZER_H
#define GESTURE_RECOGNIZER_H

#include <qobject.h>
#include <qstring.h>
#include <qvaluelist.h>
#include <qlist.h>

class KConfig;
class Gesture;

class GestureRecognizer : public QObject
  {
    public:
  GestureRecognizer(QObject *parent, const char *name);
  ~GestureRecognizer();
    
  Gesture *lookupGesture(const Gesture &g);

  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);

    private:
  QList<Gesture> _gestureList;
  };

#endif
